import App from './App'

// #ifndef VUE3

import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'

import store from '@/store/store.js'

// Vue.prototype.VITE_GLOB_API = 'http://h5.xzaiyp.top/h5-api-y'//开发环境
Vue.prototype.VITE_GLOB_API = 'https://fill-admin.xzaiyp.top/h5-api-y'//生产环境

const app = new Vue({
  ...App,
  store
})

app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif